Mailinglist Archive: uyuni-devel (2 mails)

< Previous Next >
Re: [uyuni-devel] Client tools question
  • From: Thomas Sundell <thsundel@xxxxxxxxx>
  • Date: Thu, 20 Dec 2018 14:20:51 +0100
  • Message-id: <CANK5SKt-cw5v5TPujSHx_QeziA9aVScmkt0366AComOT=Ap=vg@mail.gmail.com>
Hi!
thank you for the early Christmas present, successfully upgraded to
4.0.1 and now I can register SLE12 as a traditional client!
After new year we can begin setting up our SES cluster with Uyuni!

Wishing happy holidays and new year!

Thomas

On Wed, Nov 14, 2018 at 11:34 AM Julio González Gil <jgonzalez@xxxxxxxx> wrote:

I am afraid we need to wait until we can fix this on one of the next releases.

We could not schedule it for the next two weeks, so maybe it won't make it
into 4.0.1 (I wanted to try getting this release ready by the end of the
month).

Of course if somebody from the community wants to have a look, that would be
more than welcome :-)

On miércoles, 7 de noviembre de 2018 16:18:44 (CET) Thomas Sundell wrote:
Thanks Hubert,
--with-custom-channels almost did the job, now I'm only 4 packages away:

ERROR: package 'python-gudev' not found
ERROR: package 'rhnlib' not found
ERROR: package 'spacewalksd' not found
ERROR: package 'python-backports.ssl_match_hostname' not found
ERROR: package 'python-futures' not found

And when I try to register a SLES node I get:

Resolving package dependencies...
4 Problems:
Problem: nothing provides spacewalksd needed by
spacewalk-client-setup-4.0.2-2.1.noarch
Problem: nothing provides rhnlib needed by
zypp-plugin-spacewalk-1.0.4-3.5.noarch
Problem: nothing provides rhnlib needed by
zypp-plugin-spacewalk-1.0.4-3.5.noarch
Problem: nothing provides rhnlib >= 2.5.78 needed by
python2-spacewalk-client-tools-4.0.2-2.1.noarch

Problem: nothing provides spacewalksd needed by
spacewalk-client-setup-4.0.2-2.1.noarch
Solution 1: do not install spacewalk-client-setup-4.0.2-2.1.noarch
Solution 2: break spacewalk-client-setup-4.0.2-2.1.noarch by ignoring
some of its dependencies

Choose from above solutions by number or skip, retry or cancel
[1/2/s/r/c] (c): c
no package provides spacewalk-check
ERROR: Failed to install all missing packages.

So I'm guessing we are doomed until 4.0.1 or 4.0.2 is released?

Thomas

On Wed, Nov 7, 2018 at 1:46 PM Hubert Mantel <mantel@xxxxxxx> wrote:
Hi,

On Wed, Nov 07, Thomas Sundell wrote:

[...]

But still when I try mgr-create-bootstrap-repo -c it fails with the
same missing packages, could it be that this tool can only be used
when you have a "SUSE Manager" SCC subscription and it's
SLE-Manager-Tools repo synced?

As a last resort if I/we can't figure this one out is it possible to
just download the packages from the uyuni-client-repo and manually
place them under
/srv/www/htdocs/pub/repositories/sle/12/3/bootstrap/... ?

Please try "mgr-create-bootstrap-repo --with-custom-channels"

Thanks for your time!

Thomas

Hubert Mantel

--
To unsubscribe, e-mail: uyuni-devel+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: uyuni-devel+owner@xxxxxxxxxxxx


--
Julio González Gil <jgonzalez@xxxxxxxx>
Release Engineer
SUSE Linux GmbH, Maxfeldstr. 5, D-90409 Nürnberg
Tel: +49-911-74053-0; Fax: +49-911-7417755; https://www.suse.com/
SUSE Linux GmbH, GF: Felix Imendörffer, Jane Smithard,
Graham Norton, HRB 21284 (AG Nürnberg)
--
To unsubscribe, e-mail: uyuni-devel+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: uyuni-devel+owner@xxxxxxxxxxxx

< Previous Next >
List Navigation
This Thread
  • No further messages